org.apache.lucene.spatial.tier

## Class CartesianPolyFilterBuilder

- java.lang.Object
- - org.apache.lucene.spatial.tier.CartesianPolyFilterBuilder

-     public class CartesianPolyFilterBuilder
      extends java.lang.Object

  NOTE: This API is still in flux and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `MILES_FLOOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CartesianPolyFilterBuilder(java.lang.String tierPrefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Filter` | `getBoundingArea(double latitude, double longitude, double miles)`
    `Shape` | `getBoxShape(double latitude, double longitude, double miles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MILES_FLOOR

          public static final double MILES_FLOOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CartesianPolyFilterBuilder

          public CartesianPolyFilterBuilder(java.lang.String tierPrefix)

  - ### Method Detail

    - #### getBoxShape

          public Shape getBoxShape(double latitude,
                                   double longitude,
                                   double miles)

    - #### getBoundingArea

          public Filter getBoundingArea(double latitude,
                                        double longitude,
                                        double miles)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.